Loading...
Searching...
No Matches
juce::OSCSender Class Reference

## Detailed Description

An OSC message sender.

An OSCSender object can connect to a network port. It then can send OSC messages and bundles to a specified host over an UDP socket.

The documentation for this class was generated from the following file:

- juce_osc/osc/juce_OSCSender.h

## Public Member Functions

| OSCSender ()
| Constructs a new OSCSender.
| ~OSCSender ()
| Destructor.
bool | connect (const String &targetHostName, int targetPortNumber)
| Connects to a datagram socket and prepares the socket for sending OSC packets to the specified target.
bool | connectToSocket (DatagramSocket &socket, const String &targetHostName, int targetPortNumber)
| Uses an existing datagram socket for sending OSC packets to the specified target.
bool | disconnect ()
| Disconnects from the currently used UDP port.
bool | send (const OSCMessage &message)
| Sends an OSC message to the target.
bool | send (const OSCBundle &bundle)
| Send an OSC bundle to the target.
bool | sendToIPAddress (const String &targetIPAddress, int targetPortNumber, const OSCMessage &message)
| Sends an OSC message to a specific IP address and port.
bool | sendToIPAddress (const String &targetIPAddress, int targetPortNumber, const OSCBundle &bundle)
| Sends an OSC bundle to a specific IP address and port.
template<typename... Args>
bool | send (const OSCAddressPattern &address, Args &&... args)
| Creates a new OSC message with the specified address pattern and list of arguments, and sends it to the target.
template<typename... Args>
bool | sendToIPAddress (const String &targetIPAddress, int targetPortNumber, const OSCAddressPattern &address, Args &&... args)
| Creates a new OSC message with the specified address pattern and list of arguments, and sends it to the target.

## Constructors and Destructors

## OSCSender()

juce::OSCSender::OSCSender | ( |  | ) |

Constructs a new OSCSender.

Referenced by sendToIPAddress().

## ~OSCSender()

juce::OSCSender::~OSCSender | ( |  | ) |

Destructor.

## Member Functions

## connect()

bool juce::OSCSender::connect | ( | const String & | targetHostName,
|  | int | targetPortNumber )

Connects to a datagram socket and prepares the socket for sending OSC packets to the specified target.

Note: The operating system will choose which specific network adapter(s) to bind your socket to, and which local port to use for the sender.

Parameters

  targetHostName | The remote host to which messages will be send.
  targetPortNumber | The remote UDP port number on which the host will receive the messages.

Returns
  true if the connection was successful; false otherwise.

See also
  send, disconnect.

## connectToSocket()

bool juce::OSCSender::connectToSocket | ( | DatagramSocket & | socket,
|  | const String & | targetHostName,
|  | int | targetPortNumber )

Uses an existing datagram socket for sending OSC packets to the specified target.

Parameters

  socket | An existing datagram socket. Make sure this doesn't get deleted while this class is still using it!
  targetHostName | The remote host to which messages will be send.
  targetPortNumber | The remote UDP port number on which the host will receive the messages.

Returns
  true if the connection was successful; false otherwise.

See also
  connect, send, disconnect.

## disconnect()

bool juce::OSCSender::disconnect | ( |  | ) |

Disconnects from the currently used UDP port.

Returns
  true if the disconnection was successful; false otherwise.

See also
  connect.

## send() [1/3]

bool juce::OSCSender::send | ( | const OSCMessage & | message | ) |

Sends an OSC message to the target.

Parameters

  message | The OSC message to send.

Returns
  true if the operation was successful.

Referenced by send(), and sendToIPAddress().

## send() [2/3]

bool juce::OSCSender::send | ( | const OSCBundle & | bundle | ) |

Send an OSC bundle to the target.

Parameters

  bundle | The OSC bundle to send.

Returns
  true if the operation was successful.

## sendToIPAddress() [1/3]

bool juce::OSCSender::sendToIPAddress | ( | const String & | targetIPAddress,
|  | int | targetPortNumber,
|  | const OSCMessage & | message )

Sends an OSC message to a specific IP address and port.

This overrides the address and port that was originally set for this sender.

Parameters

  targetIPAddress | The IP address to send to
  targetPortNumber | The target port number
  message | The OSC message to send.

Returns
  true if the operation was successful.

Referenced by sendToIPAddress(), and sendToIPAddress().

## sendToIPAddress() [2/3]

bool juce::OSCSender::sendToIPAddress | ( | const String & | targetIPAddress,
|  | int | targetPortNumber,
|  | const OSCBundle & | bundle )

Sends an OSC bundle to a specific IP address and port.

This overrides the address and port that was originally set for this sender.

Parameters

  targetIPAddress | The IP address to send to
  targetPortNumber | The target port number
  bundle | The OSC bundle to send.

Returns
  true if the operation was successful.

References OSCSender(), send(), and sendToIPAddress().

## send() [3/3]

template<typename... Args>

bool juce::OSCSender::send | ( | const OSCAddressPattern & | address,
|  | Args &&... | args )

Creates a new OSC message with the specified address pattern and list of arguments, and sends it to the target.

Parameters

  address | The OSC address pattern of the message (you can use a string literal here).
  args | The list of arguments for the message.

References send().

## sendToIPAddress() [3/3]

template<typename... Args>

bool juce::OSCSender::sendToIPAddress | ( | const String & | targetIPAddress,
|  | int | targetPortNumber,
|  | const OSCAddressPattern & | address,
|  | Args &&... | args )

Creates a new OSC message with the specified address pattern and list of arguments, and sends it to the target.

Parameters

  targetIPAddress | The IP address to send to
  targetPortNumber | The target port number
  address | The OSC address pattern of the message (you can use a string literal here).
  args | The list of arguments for the message.

References sendToIPAddress().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited